[linux-dvb] Compile DVB drivers for kernel 2.6.11

Andy Walls awalls at radix.net
Sat Dec 27 20:49:30 CET 2008


On Sat, 2008-12-27 at 19:00 +0100, Artem Makhutov wrote:
> Hello,
> 
> I would like to compile current dvb-drivers from hg for kernel 2.6.11.12.
> 
> Is this possible?

The oldest supported kernel version is 2.6.16.


> Has somebody experience with this?

Hans Verkuil did a lot of work and testing in the area of ensuring valid
support of older kernels.   I recall Hans stating that supporting
kernels earlier than 2.6.12 was not feasible.  I can't remember the
reasons why 2.6.12-2.6.15 are not supported.  Check the linux-dvb and
video4linux list archives.


> The first problem I am running into is that 2.6.11 has no linux/mutex.h.

That's probably because the non-spinning mutual exclusion mechanism was
kernel semaphores way back then.

Regards,
Andy

> Thanks, Artem





More information about the linux-dvb mailing list